Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport
Class TransportProtocolAlgorithmSync

    java.lang.Object
      com.sshtools.j2ssh.transport.TransportProtocolAlgorithmSync

public class TransportProtocolAlgorithmSync
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`TransportProtocolAlgorithmSync()` Creates a new TransportProtocolAlgorithmSync object.

Method Summary
`SshCipher` | `getCipher()` DOCUMENT ME!
`SshCompression` | `getCompression()` DOCUMENT ME!
`SshHmac` | `getHmac()` DOCUMENT ME!
`void` | `lock()` DOCUMENT ME!
`void` | `release()` DOCUMENT ME!
`void` | `setCipher(SshCipher cipher)` DOCUMENT ME!
`void` | `setCompression(SshCompression compression)` DOCUMENT ME!
`void` | `setHmac(SshHmac hmac)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportProtocolAlgorithmSync

    public TransportProtocolAlgorithmSync()

  Creates a new TransportProtocolAlgorithmSync object.

Method Detail

### setCipher

    public void setCipher(SshCipher cipher)

  DOCUMENT ME!

  Parameters:
    `cipher` - DOCUMENT ME!

### getCipher

    public SshCipher getCipher()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setCompression

    public void setCompression(SshCompression compression)

  DOCUMENT ME!

  Parameters:
    `compression` - DOCUMENT ME!

### getCompression

    public SshCompression getCompression()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setHmac

    public void setHmac(SshHmac hmac)

  DOCUMENT ME!

  Parameters:
    `hmac` - DOCUMENT ME!

### getHmac

    public SshHmac getHmac()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### lock

    public void lock()

  DOCUMENT ME!

### release

    public void release()

  DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD